# SVCSTATUS.CGI

Section: User Commands (1)
Updated: Version 4.3.30: 19 Oct 2024
Index Return to Main Contents

## NAME

svcstatus.cgi - CGI program to view Xymon status logs

## SYNOPSIS

svcstatus.cgi [--historical] [--history={top|bottom}]

## DESCRIPTION

svcstatus.cgi is a CGI program to present a Xymon status log in HTML form (ie, as a web page). It can be used both for the logs showing the current status, and for historical logs from the "histlogs" directory. It is normally invoked as a CGI program, and therefore receives most of the input parameters via the CGI QUERY_STRING environment variable.

Unless the "--historical" option is present, the current status log is used. This assumes a QUERY_STRING environment variable of the form
HOSTSVC=hostname.servicename
where "hostname" is the name of the host with commas instead of dots, and "servicename" is the name of the service (the column name in Xymon). Such links are automatically generated by the xymongen(1) tool when the environment contains "XYMONLOGSTATUS=dynamic".

With the "--historical" option present, a historical logfile is used. This assumes a QUERY_STRING environment variable of the form
HOST=hostname&SERVICE=servicename&TIMEBUF=timestamp
where "hostname" is the name of the host with commas instead of dots, "servicename" is the name of the service, and "timestamp" is the time of the log. This is automatically generated by the history.cgi(1) tool.

## OPTIONS

--historical
  Use a historical logfile instead of the current logfile.

--history={top|bottom|none}
  When showing the current logfile, provide a "HISTORY" button at the top or the bottom of the webpage, or not at all. The default is to put the HISTORY button at the bottom of the page.

--env=FILENAME
  Load the environment from FILENAME before executing the CGI.

--templates=DIRECTORY
  Where to look for the HTML header- and footer-templates used when generating the webpages. Default: $XYMONHOME/web/

--no-svcid
  Do not include the HTML tags to identify the hostname/service on the generated web page. Useful is this already happens in the hostsvc_header template file, for instance.

--multigraphs=TEST1[,TEST2]
  This causes svcstatus.cgi to generate links to service graphs that are split up into multiple images, with at most 5 graphs per image. This option only works in Xymon mode. If not specified, only the "disk" status is split up this way.

--no-disable
  By default, the info-column page includes a form allowing users to disable and re-enable tests. If your setup uses the default separation of administration tools into a separate, password- protected area, then use of the disable- and enable-functions requires access to the administration tools. If you prefer to do this only via the dedicated administration page, this option will remove the disable-function from the info page.

--no-jsvalidation
  The disable-function on the info-column page by default uses JavaScript to validate the form before submitting the input to the Xymon server. However, some browsers cannot handle the Javascript code correctly so the form does not work. This option disables the use of Javascript for form-validation, allowing these browsers to use the disable-function.

--nkconfig=FILENAME
  Use FILENAME as the configuration file for the Critical Systems information. The default is to load this from $XYMONHOME/etc/critical.cfg

## FILES

$XYMONHOME/web/hostsvc_header
  HTML template header

$XYMONHOME/web/hostsvc_footer
  HTML template footer

## ENVIRONMENT

NONHISTS=info,trends,graphs
  A comma-separated list of services that does not have meaningful history, e.g. the "info" and "trends" columns. Services listed here do not get a "History" button.

TEST2RRD=test,test
  A comma-separated list of the tests that have an RRD graph.

## SEE ALSO

xymon(7), xymond(1)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
ENVIRONMENT
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 09:09:04 GMT, October 19, 2024